void do_something (int x, y)      
               if (x >= 0)                                                     /*  "the condition is always true" */
{
  ...
}

void do_something (int x, y)      
               if (x < 0)                                                      /*  "the condition is always false" */
{
  ...
}